## org.eclipse.datatools.modelbase.sql.tables
Interface ViewTable

All Superinterfaces:
  DerivedTable, SQLObject, Table

All Known Implementing Classes:
  ViewTableImpl

public interface ViewTable
extends DerivedTable

A representation of the model object 'View Table'. 4.14 Tables A table is a collection of rows having one or more columns. [...] A table is either a base table, a derived table, or a transient table. A base table is either a persistent base table, a global temporary table, a created local temporary table, or a declared local temporary table. A derived table is a table derived directly or indirectly from one or more other tables by the evaluation of a <query expression> whose result has an element type that is a row type. The values of a derived table are derived from the values of the underlying tables when the <query expression> is evaluated. A viewed table is a named derived table defined by a <view definition> . A viewed table is sometimes called a view. A view descriptor describes a view. In addition to the components of a derived table descriptor, a view descriptor includes: - The name of the view. - An indication of whether the view has the CHECK OPTION ; if so, whether it is to be applied as CASCADED or LOCAL. - The original <query expression> of the view.

The following features are supported:

- `Check Type`

See Also:
  `SQLTablesPackage.getViewTable()`

Method Summary
`CheckType` `getCheckType()` Returns the value of the 'Check Type' attribute.
`void` `setCheckType(CheckType value)` Sets the value of the '`Check Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getCheckType

    public CheckType getCheckType()

  Returns the value of the 'Check Type' attribute. The literals are from the enumeration `CheckType`.

  If the meaning of the 'Check Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `setCheckType(CheckType)`, `SQLTablesPackage.getViewTable_CheckType()`

### setCheckType

    public void setCheckType(CheckType value)

  Sets the value of the '`Check Type`' attribute.

  Parameters:
    `value` - the new value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `getCheckType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.